Package org.eclipse.microprofile.lra.tck.participant.api

# Class NoLRAResource

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.api.NoLRAResource

@ApplicationScoped @Path("nolraresource") public class NoLRAResource extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NO_LRA_RESOURCE_PATH`
`static final String`
`NON_TRANSACTIONAL_WORK_PATH`

## Constructor Summary

Constructors
Constructor
Description
`NoLRAResource()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`work2(URI lraId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NO_LRA_RESOURCE_PATH

public static final String NO_LRA_RESOURCE_PATH

See Also:
  - Constant Field Values

### NON_TRANSACTIONAL_WORK_PATH

public static final String NON_TRANSACTIONAL_WORK_PATH

See Also:
  - Constant Field Values

## Constructor Details

### NoLRAResource

public NoLRAResource()

## Method Details

### work2

@PUT @Path("work") public jakarta.ws.rs.core.Response work2(@HeaderParam("Long-Running-Action") URI lraId)